Failed to load 'Assets/Plugins/x86_64/FlexWrapper.dll

Hello,
I work on making nvidia flex library wrapper dll.

I made FlexWrapper.dll for test.

From c++ console app, i could load FlexWrapper.dll and works well.

but, From Unity, i could not load dll because of above error.

i put all dlls in Assets/Plugins/x86_64.

(also i tried in Assets/Plugins, but failed)

Do anyone have solution?

Thanks.

i use unity 2017.2.0f3

nvidia flex 1.1.0

http://masakami.sakura.ne.jp/download/flexTest.zip
here is my test solutions

solved.

putting all dlls is a bad way.
I removed all cuda related dlls and rebuilded flexWrapper.dll.
this works fine.